#include <spdlog/spdlog.h>
#include <unistd.h>

#include "include/reset.hpp"
#include "include/OdometryController.hpp"
#include "include/ClosedLoopMotorController.hpp"
#include "include/communication/UnixSocketServer.hpp"
#include "include/communication/TCPSocketServer.hpp"

using namespace std;

int main() {
  Reset::reset_robot();
  spdlog::set_pattern("%H:%M:%S.%e %^%-8l%$: %v");
  spdlog::set_level(spdlog::level::debug);

  UnixSocketServer unixSocketServer;
  TCPSocketServer tcpSocketServer;

//  ClosedLoopMotorController::getInstance().set_speed(0, -125);
//  ClosedLoopMotorController::getInstance().set_speed(3, 125);
//  OdometryController::getInstance().enable();

//  for (int i = 0; i < 10000; ++i) {
//    auto odom = OdometryController::getInstance().get();
//    spdlog::info("X {} Y {} W {}", odom.get_x_position(), odom.get_y_position(), odom.get_angular_orientation());
//    usleep(1000);
//  }
  std::this_thread::sleep_for(std::chrono::hours(12));
  return 0;
}
